using System;
using UnityEngine;

namespace AlienRunner
{
    public class LocalManualConnection : ConnectionBase
    {
        public override event Action<int, int, string> OnPlayerConnect;
        public override event Action<int> OnPlayerDisconnect;

        public override void Update()
        {
            if (Input.GetKeyDown(KeyCode.Space))
            {
                OnPlayerConnect?.Invoke(Players.I.PlayerCount, Players.I.PlayerCount, "No Name");
            }
            if (Input.GetKeyDown(KeyCode.Backspace))
            {
                GameObject player = Players.I.AllPlayers[UnityEngine.Random.Range(0, Players.I.AllPlayers.Count)];
                OnPlayerDisconnect?.Invoke(Players.I.GetId(player));
            }
        }
    }
}
