using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class Chunk : MonoBehaviour
    {
        [Min(1)]
        public int size;

        private void OnDrawGizmos()
        {
            Gizmos.DrawWireCube(transform.position + Vector3.right * size / 2, Vector2.up * 20 + Vector2.right * size);
            Gizmos.DrawWireCube(transform.position + Vector3.right * size / 2 + Vector3.down * (10 - 0.5f), Vector2.up * 1 + Vector2.right * size);
        }
    }
}
