using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class RandomDestroy : MonoBehaviour
    {
        [Range(0, 1)]
        public float chance;

        private void Awake()
        {
            if (Random.value < chance)
            {
                Destroy(gameObject);
            }
        }
    }
}
