using UnityEngine;

namespace AlienRunner
{
    public class RandomFlip : MonoBehaviour
    {
        public bool flipX;
        public bool flipY;

        private void Awake()
        {
            SpriteRenderer spriteRenderer = GetComponent<SpriteRenderer>();
            if (flipX)
            {
                spriteRenderer.flipX = Random.value > .5f;
            }
            if (flipY)
            {
                spriteRenderer.flipY = Random.value > .5f;
            }
        }
    }
}
