using System;
using System.Collections;
using UnityEngine;

namespace AlienRunner
{
    public class HomingMissilePowerUp : PowerUpBase
    {
        public override string Name => "Homing Missile";
        public override string URL => "https://levimoore.dev/eventgames/missile.png";
        public GameObject prefab;

        public override IEnumerator Use(GameObject by)
        {
            Instantiate(prefab, transform.position, Quaternion.identity).GetComponent<HomingMissile>().Setup(by);
            yield return null;
        }
    }
}
