using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public abstract class PowerUpBase : MonoBehaviour
    {
        public abstract string Name { get; }
        public abstract string URL { get; }
        public virtual void Pickup(GameObject by) { }
        public abstract IEnumerator Use(GameObject by);
    }
}
