using System;

namespace EventGames
{
    public interface ICommunicatable
    {
        public void Open(Action connectedCallback, Action<string> messageReceivedCallback);
        public void Update();
        public void Close();
        public void Send(string message);
    }
}