using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

namespace AlienRunner
{
    public abstract class ConnectionBase
    {
        public abstract event Action<int, int, string> OnPlayerConnect;
        public abstract event Action<int> OnPlayerDisconnect;

        public virtual void Awake() { }
        public virtual void Start() { }
        public virtual void Update() { }
    }
}
