using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class LocalAutomaticConnection : ConnectionBase
    {
        public override event Action<int, int, string> OnPlayerConnect;
        public override event Action<int> OnPlayerDisconnect;

        public override void Start()
        {
            for (int i = 0; i < Players.max; i++)
            {
                OnPlayerConnect?.Invoke(i, i, "No Name");
            }
        }
    }
}
