using EventGames;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class EventGamesPlaySoundMessage : MessageBase
    {
        public int joystick_id;
        public string url;
        public float volume;

        public EventGamesPlaySoundMessage(int joystick_id, SoundEffect effect)
        {
            command = "play_sound";
            this.joystick_id = joystick_id;
            this.url = effect.url;
            this.volume = effect.volume;
        }
    }
}
