using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class FartMonsterOpenMouthZone : MonoBehaviour
    {
        [SerializeField]
        private FartMonsterBehaviour fartMonsterBehaviour;

        private void OnValidate()
        {
            if(fartMonsterBehaviour == null)
            {
                fartMonsterBehaviour = GetComponentInParent<FartMonsterBehaviour>();
            }
        }
        private void OnTriggerEnter2D(Collider2D collision)
        {
            if (collision.gameObject.tag.ToLower() != "player")
            {
                return;
            }
            fartMonsterBehaviour.HasSeenPlayer = true;
        }
    }
}
