using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class RandomScale : MonoBehaviour
    {
        [SerializeField]
        private Vector3 min;
        [SerializeField]
        private Vector3 max;

        private void Awake()
        {
            transform.localScale = new Vector3(Random.Range(min.x, max.x),
                                               Random.Range(min.y, max.y),
                                               Random.Range(min.z, max.z));
        }
    }
}
