using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class CurvedWorld : MonoBehaviour
    {
        [SerializeField]
        private Material curvedWorldShaderMaterial;

        private void OnRenderImage(RenderTexture source, RenderTexture destination)
        {
            Graphics.Blit(source, destination, curvedWorldShaderMaterial);
        }
    }
}
