using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace AlienRunner
{
    public class CoinCollectorPowerUp : PowerUpBase
    {
        [SerializeField]
        private float multiplierTime;
        [SerializeField]
        private float multiplier;

        public override string Name => "Coin Collector";
        public override string URL => "https://levimoore.dev/eventgames/coin.png";

        public override IEnumerator Use(GameObject user)
        {
            user.GetComponent<PlayerScore>().scoreMultiplier += multiplier;
            yield return new WaitForSeconds(multiplierTime);
            user.GetComponent<PlayerScore>().scoreMultiplier -= multiplier;
        }
    }
}
